=== debian/changelog ===
libhdr-histogram (0.11.8-4) unstable; urgency=medium

  * Link to libatomic on armel

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Sun, 23 Jun 2024 17:58:03 +0800

libhdr-histogram (0.11.8-3) unstable; urgency=medium

  * Add libatomic1 to Build-Depends

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Sun, 23 Jun 2024 15:54:58 +0800

libhdr-histogram (0.11.8-2) unstable; urgency=medium

  [ Micke Nordin ]
  * Add zlib1g-dev to libhdr-histogram-dev's Depends (Closes: #1071261).

  [ Maytham Alsudany ]
  * Run upstream tests with autopkgtest
  * Add myself to uploaders

 -- Maytham Alsudany <maytha8thedev@gmail.com>  Wed, 12 Jun 2024 17:24:53 +0800

libhdr-histogram (0.11.8-1) unstable; urgency=medium

  * Initial release (Closes: #1070643)

 -- Micke Nordin <kano@sunet.se>  Tue, 07 May 2024 17:48:46 +0800
