=== debian/control ===
Source: libhdr-histogram
Maintainer: Debian Redict Maintainers <team+redict@tracker.debian.org>
Uploaders:
 Micke Nordin <kano@sunet.se>,
 Maytham Alsudany <maytha8thedev@gmail.com>,
Section: libs
Priority: optional
Standards-Version: 4.7.0
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 zlib1g-dev,
 libatomic1,
Homepage: https://github.com/HdrHistogram/HdrHistogram_c
Vcs-Git: https://salsa.debian.org/redict-team/libhdr-histogram.git
Vcs-Browser: https://salsa.debian.org/redict-team/libhdr-histogram
Rules-Requires-Root: no

Package: libhdr-histogram6
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Pre-Depends:
 ${misc:Pre-Depends},
Multi-Arch: same
Description: High Dynamic Range (HDR) Histogram library
 This C-based implementation of a High Dynamic Range (HDR) Histogram
 contains a subset of the functionality supported by the Java implementation.
 .
 The current supported features are:
  - Standard histogram with 64 bit counts (32/16 bit counts not supported)
  - All iterator types (all values, recorded, percentiles, linear, logarithmic)
  - Histogram serialisation (encoding version 1.2, decoding 1.0-1.2)
  - Reader/writer phaser and interval recorder
 .
 This package contains the shared libraries for libhdr-histogram.

Package: libhdr-histogram-dev
Section: libdevel
Architecture: any
Depends:
 libhdr-histogram6 (= ${binary:Version}),
 zlib1g-dev,
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: same
Description: High Dynamic Range (HDR) Histogram library (development files)
 This C-based implementation of a High Dynamic Range (HDR) Histogram
 contains a subset of the functionality supported by the Java implementation.
 .
 The current supported features are:
  - Standard histogram with 64 bit counts (32/16 bit counts not supported)
  - All iterator types (all values, recorded, percentiles, linear, logarithmic)
  - Histogram serialisation (encoding version 1.2, decoding 1.0-1.2)
  - Reader/writer phaser and interval recorder
 .
 This package contains the development files for libhdr-histogram.

Package: libhdr-histogram-examples
Section: utils
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: High Dynamic Range (HDR) Histogram library (examples)
 This C-based implementation of a High Dynamic Range (HDR) Histogram
 contains a subset of the functionality supported by the Java implementation.
 .
 The current supported features are:
  - Standard histogram with 64 bit counts (32/16 bit counts not supported)
  - All iterator types (all values, recorded, percentiles, linear, logarithmic)
  - Histogram serialisation (encoding version 1.2, decoding 1.0-1.2)
  - Reader/writer phaser and interval recorder
 .
 This package contains the example applications.
